Bug 60612 - Web page frames pasted without regard to page formatting/margins. Format difficult to modify.
Summary: Web page frames pasted without regard to page formatting/margins. Format diff...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Paste
  Show dependency treegraph
 
Reported: 2013-02-10 20:44 UTC by zephalis
Modified: 2020-11-11 04:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
7z of two screenshots and identical document saved by Libre and oOO (281.34 KB, application/x-7z-compressed)
2013-02-10 20:44 UTC, zephalis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zephalis 2013-02-10 20:44:00 UTC
Created attachment 74570 [details]
7z of two screenshots and identical document saved by Libre and oOO

This is identical in both Libre v3.6.4.3 (build 2ef5aff) as well as oOO 3.4.0 (AQQ340m1-9590-1327774). The problem represents when pasting from Opera, Firefox, Chrome, Pale Moon (FF derivative), IE, and Safari. The problem does not happen on Word 2003.

Horizontal margins are obliterated on paste and can't be modified. It ranges based on where the content is copied from, sometimes messing with one margin, sometimes two, and sometimes ignoring the page boundaries all together.

It seems to happen when an iframe is selected with text (hard not to do, and impossible in some cases). It took me a while to realize what was happening so I can only imagine what it would be like to someone who doesn't know anything about HTML. 

I'd expect the paste to either conform to the current page, be a replica of the web page, or both. A dialog should be presented warning the user of formatting options. The formatting should in no way be unchangeable, making this a critical bug, especially since it doesn't happen in even an old version of Word (I don't have a newer version to test).

The only browser dependent issues seem to be the ease at which a whole frame is selected and the font used (ex monospace size 14 from Pale Moon and Courier New size 10 from Safari).

While writing this and testing the extent, I noticed that frame seems to be pasted as a table with very large boundaries which seems to explain the margin behavior, but is still not an acceptable default as it is not a usable format. This still doesn't explain the font, as it comes from the same page and renders the same in all 5 browsers.

Note also...pasting as unformatted text removes all formatting but still pastes as a malformed table. Note, ctrl-home, ctrl-a, etc work with respect to the tables making reformatting more difficult.

I'm attaching a screenshot of a paste from pale moon and safari. It's zoomed way out because I don't have time right now to take individual screenshots. I will if no one can reproduce the issue. I'm using https://www.libreoffice.org/bugzilla/show_bug.cgi?id=56665 as an example for its simplicity and inclusion of iframes.
Comment 1 zephalis 2013-02-10 20:46:32 UTC
Apologies...I meant this to be a high importance major bug, not a medium importance critical bug, and forgot to change it.
Comment 2 Joel Madero 2013-03-21 15:31:30 UTC
Changing version to 3.6.4.3

@zephalis - our version field is the oldest version you see the issue, we use comments to reflect that it's still an issue.

Thanks!
Comment 3 Joel Madero 2014-07-10 01:34:40 UTC
Not a major bug - lowering to:

Minor: Can slow down professional quality work but won't prevent it
Low: Default seems appropriate here

For reference please see: 

https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 4 Owen Genat (retired) 2014-08-01 14:26:14 UTC
(In reply to comment #0)
> Horizontal margins are obliterated on paste and can't be modified. It ranges
> based on where the content is copied from, sometimes messing with one
> margin, sometimes two, and sometimes ignoring the page boundaries all
> together.
> 
> It seems to happen when an iframe is selected with text (hard not to do, and
> impossible in some cases).
> ...
> I'd expect the paste to either conform to the current page, be a replica of
> the web page, or both.
> ...
> I'm using https://www.libreoffice.org/bugzilla/show_bug.cgi?id=56665 as an
> example for its simplicity and inclusion of iframes.

Confirmed. Same result under GNU/Linux x86_64 using v4.2.5.2. Status set to NEW.
Comment 5 QA Administrators 2015-09-04 02:49:15 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-11-30 13:19:45 UTC
Still repro.
There are no iframes in bug report pages, though..

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2017-01-03 19:35:53 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-11-11 04:17:50 UTC
Dear zephalis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug